## evolution-data-server 3.16.5

=== debian/changelog ===
evolution-data-server (3.16.5-1ubuntu3) wily; urgency=medium

  [ Sebastien Bacher ]
  * debian/patches/git_invalid_unref_source.patch:
    - "[UOA] Incorrect ESource unref in e_signon_session_password_get()"

  [ Iain Lane ]
  * debian/patches/git_Bug-755075-Recent-glib-2.45.8-change-breaks-account-.patch
    - Fix settings incorrectly returning their default values, which breaks
      some setups (LP: #1498945)
  * Include some changes which were committed to the VCS for 1ubuntu1 (delta
    reduction vs. Debian) but accidentally not uploaded.
    - Debian disabled libphonenumber too; take their commented out rules
      snippet
    - debian/libebackend-1.2-10.install: Use a regex and mark leaked icu
      symbols as optional.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 30 Sep 2015 12:36:50 +0100

evolution-data-server (3.16.5-1ubuntu2) wily; urgency=medium

  * debian/patches/git_uoa_warnings.patch:
    - backport patch to fix uoa warnings
  * debian/patches/git_uoa_refresh_token.patch:
    - backport patch to fix google oauth token refresh (lp: #1498473)
  * debian/patches/git_runtime_warning.patch:
    - backport another warning fix change

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 23 Sep 2015 16:01:26 +0200

evolution-data-server (3.16.5-1ubuntu1) wily; urgency=low

  * Merge with Debian, remaining changes:
    - debian/control: build depend on hardening-wrapper
    - Add build-depends and pass configure flag to enable Ubuntu Online
      Accounts support.
    - Filter out -Bsymbolic-functions from LDFLAGS (for future people
      wondering about this change, see e.g. BGO #594473 and duplicates).
    - Enable Ubuntu Online Accounts and split it and GOA into a separate
      package.
    - Bump gdata BD to ≥ 0.15 so we get gtasks support.
    - Build with dh_install --fail-missing

 -- Iain Lane <iain.lane@canonical.com>  Thu, 03 Sep 2015 12:28:12 +0100

evolution-data-server (3.16.5-1) unstable; urgency=medium

  * New upstream release 3.16.5 and 3.16.4
  * Remove accidentally leaked symbols from the symbols file; they aren't used
    elsewhere.
  * debian/*.symbols: Add new ones.

 -- Iain Lane <laney@debian.org>  Thu, 27 Aug 2015 12:39:50 +0100

evolution-data-server (3.16.4-0ubuntu3) wily; urgency=medium

  * Update symbols files for ICU 55.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jul 2015 19:51:30 +0200

evolution-data-server (3.16.4-0ubuntu2) wily; urgency=medium

  * debian/patches/0001-Bug-752373-Monthly-events-do-not-recur-correctly.patch:
    Cherry-pick patch from upstream to fix events not recurring correctly.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 20 Jul 2015 13:34:59 +0100

evolution-data-server (3.16.4-0ubuntu1) wily; urgency=medium

  * New upstream release 3.16.4.
  * debian/libebackend-1.2-10.symbols: Add new symbols for this release.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 14 Jul 2015 14:42:14 +0100

evolution-data-server (3.16.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable libphonenumber support for now, to disentangle e-d-s from
    that part of the libstdc++ transition (which it appears is going
    to involve a new upstream release).
  * debian/libedataserver-1.2-20.symbols: mark ICU template instantiations
    as optional since they are not intended to be ABI (Closes: #792494)

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Aug 2015 19:56:33 +0100

evolution-data-server (3.16.3-1ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control: build depend on hardening-wrapper
    - Add build-depends and pass configure flag to enable Ubuntu Online
      Accounts support.
    - Filter out -Bsymbolic-functions from LDFLAGS (for future people
      wondering about this change, see e.g. BGO #594473 and duplicates).
    - Enable Ubuntu Online Accounts and split it and GOA into a separate
      package.
    - Bump gdata BD to ≥ 0.15 so we get gtasks support.
  * Disable libphonenumber support for now - this is in universe and our
    package is divergent from Debian and out of date.
  * Dropped use of hardening-wrapper - Debian does this via dpkg-buildflags
    already.
  * Build with dh_install --fail-missing

 -- Iain Lane <iain.lane@canonical.com>  Tue, 16 Jun 2015 17:56:37 +0100

evolution-data-server (3.16.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/libedataserver-1.2-20.symbols:
    + Add a few new symbols.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 11 Jun 2015 21:28:24 +0200

evolution-data-server (3.16.2-4) experimental; urgency=medium

  * debian/control:
    + Let libebook1.2-dev depend on libedata-book1.2-dev.
    + Drop libcamel1.2-dev dependency on libedataserver1.2-dev. It isn't
      needed and breaks another dependency loop.
    + Let libedata-book1.2-dev depend on libebook-contacts1.2-dev and drop
      its dependency on libedataserver1.2-dev and libebook1.2-dev.
    + Drop libedata-cal1.2-dev dependency on libedataserver1.2-dev.
    + Let libebackend1.2-dev depend on libedataserver1.2-dev.
  * Merge changes from 3.12.5-2 through 3.12.11-1.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 31 May 2015 15:41:04 +0200

evolution-data-server (3.16.2-3) experimental; urgency=medium

  * debian/patches/01-noinst-libedbus-private.patch,
    debian/evolution-data-server.install:
    + Revert installation of libedbus-private.so. This library wasn't
      installed in 3.12 and earlier versions. Instead, the other libraries
      embedded it. Keep doing that, as installing it brings a whole
      lot of problems. See the patch for a longer explanation.
  * debian/*.symbols:
    + Add the libedbus-private symbols as the libraries now embed them.
  * debian/control:
    + Drop libedataserver1.2-dev dependency on libedata-book1.2-dev. That
      isn't necessary and was causing a circular dependency loop.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 30 May 2015 22:02:32 +0200


