## evolution-data-server 3.18.5

=== debian/changelog ===
evolution-data-server (3.18.5-1ubuntu1.3) xenial-security; urgency=medium

  * SECURITY UPDATE: STARTTLS response injection
    - debian/patches/CVE-2020-14928-1.patch: truncate cached data in
      camel/camel-stream-buffer.c, camel/camel-stream-buffer.h,
      camel/providers/pop3/camel-pop3-store.c,
      camel/providers/pop3/camel-pop3-stream.c,
      camel/providers/pop3/camel-pop3-stream.h,
      camel/providers/smtp/camel-smtp-transport.c.
    - debian/patches/CVE-2020-14928-2.patch: rename function in
      camel/camel-stream-buffer.c, camel/camel-stream-buffer.h,
      camel/providers/pop3/camel-pop3-store.c,
      camel/providers/pop3/camel-pop3-stream.c,
      camel/providers/pop3/camel-pop3-stream.h,
      camel/providers/smtp/camel-smtp-transport.c.   
    - debian/libcamel-1.2-54.symbols: added new symbol.   
    - CVE-2020-14928

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Jul 2020 09:49:50 -0400

evolution-data-server (3.18.5-1ubuntu1.2) xenial-security; urgency=medium

  * SECURITY UPDATE: GPG email signature spoofing
    - debian/patches/CVE-2018-15587-1.patch: Add more strict parsing for
      output from gpg in src/camel/camel-gpg-context.c to ensure signatures
      cannot be spoofed
    - debian/patches/CVE-2018-15587-2.patch: Ensure decrypted output is
      not truncated in src/camel/camel-gpg-context.c
    - debian/patches/CVE-2018-15587-3.patch: Fix incomplete upstream patch in
      src/camel/camel-gpg-context.c to ensure the entire message is read

 -- Alex Murray <alex.murray@canonical.com>  Tue, 28 May 2019 17:07:19 +0930

evolution-data-server (3.18.5-1ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Unexpected STARTTLS downgrade
    - debian/patches/CVE-2016-10727.patch: When a user has setup the STARTTLS
      encryption method, but the server doesn't support it, then an error should
      be shown to the user, instead of using unsecure connection. In
      camel/providers/imapx/camel-imax-server.c
    - CVE-2016-10727

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 25 Jul 2018 09:13:51 -0400

evolution-data-server (3.18.5-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Add build depends on libaccounts-glib-dev, libsignon-glib-dev
    - Bump build depends on libgdata-dev (so we get gtasks support)
  * debian/rules:
    - Enable Ubuntu online accounts
  * debian/libedataserverui-1.2-1.symbols:
    - Add missing symbols file
  * debian/control,
    debian/evolution-data-server.install:
    debian/evolution-data-server-online-accounts.install:
    - Split online accounts support into a separate package

 -- Iain Lane <iain.lane@canonical.com>  Tue, 23 Feb 2016 12:05:57 +0000

evolution-data-server (3.18.5-1) unstable; urgency=medium

  * Multiarchify the library packages. (Closes: #812938)
  * debian/rules: Strip -Bsymbolic-functions from LDFLAGS - this breaks e-d-s
    at runtime.
  * debian/rules: Build with --fail-missing
  * New upstream release 3.18.5

 -- Iain Lane <laney@debian.org>  Fri, 19 Feb 2016 14:23:37 +0000

evolution-data-server (3.18.4-0ubuntu1) xenial; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Feb 2016 13:47:09 +0100

evolution-data-server (3.18.3-1ubuntu2) xenial; urgency=medium

  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 23:49:38 +0100

evolution-data-server (3.18.3-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Add build depends on libaccounts-glib-dev, libsignon-glib-dev
    - Bump build depends on libgdata-dev (so we get gtasks support)
  * debian/rules:
    - Build with dh_install --fail-missing
    - Filter out -Bsymbolic-functions from LDFLAGS (for future people
      wondering about this change, see e.g. BGO #594473 and duplicates).
    - Enable Ubuntu online accounts
  * debian/libedataserverui-1.2-1.symbols:
    - Add missing symbols file
  * debian/control,
    debian/evolution-data-server.install:
    debian/evolution-data-server-online-accounts.install:
    - Split online accounts support into a separate package

 -- Iain Lane <iain.lane@canonical.com>  Wed, 16 Dec 2015 13:54:54 +0000

evolution-data-server (3.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Iain Lane <laney@debian.org>  Wed, 16 Dec 2015 13:39:07 +0000

evolution-data-server (3.18.3-0ubuntu1) xenial; urgency=medium

  * New upstream version
  * debian/control:
    - clear out some old conflicts, not needed since trusty

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Dec 2015 09:17:57 +0100

evolution-data-server (3.18.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop XS-Testsuite header, no longer required with recent dpkg versions.
  * Drop obsolete Breaks and Replaces for versions pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Nov 2015 06:39:34 +0100

evolution-data-server (3.18.2-0ubuntu2) xenial; urgency=medium

  * debian/control:
    - let evolution-data-server-online-accounts recommends 
      signon-plugin-password, it's required for authentication with 
      several services

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Dec 2015 16:49:58 +0100

evolution-data-server (3.18.2-0ubuntu1) xenial; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Nov 2015 19:16:52 +0100

evolution-data-server (3.18.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Add build depends on libaccounts-glib-dev, libsignon-glib-dev
    - Bump build depends on libgdata-dev (so we get gtasks support)
    - Add evolution-data-server-online-accounts package
  * debian/rules:
    - Build with dh_install --fail-missing
    - Filter out -Bsymbolic-functions from LDFLAGS (for future people

