=== debian/rules ===
--- 
+++ 
@@ -24,16 +24,15 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
+# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
+export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+DEB_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 #ifeq ($(DEB_HOST_ARCH_OS),linux)
-#      DEB_CONFIGURE_EXTRA_FLAGS += --with-phonenumber=/usr
+#	DEB_CONFIGURE_EXTRA_FLAGS += --with-phonenumber=/usr
 #endif
-# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
-ifneq (,$(LDFLAGS))
-  LDFLAGS := $(filter-out %-Bsymbolic-functions,$(LDFLAGS))
-endif
 
 DEB_CONFIGURE_EXTRA_FLAGS += \
 	--sysconfdir=/etc \
@@ -52,6 +51,16 @@
 DEB_DH_MAKESHLIBS_ARGS_evolution-data-server += -Xusr/lib/evolution-data-server/
 DEB_FIXPERMS_EXCLUDE_evolution-data-server += usr/lib/evolution/camel-lock-helper*
 
+# don't configure with --libdir, but move the files manually, because
+# /usr/lib/evolution-data-server must not change.
+common-install-impl::
+	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	mv debian/tmp/usr/lib/*.so debian/tmp/usr/lib/*.so.* debian/tmp/usr/lib/girepository-1.0 \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/tmp/usr/lib/pkgconfig/lib* debian/tmp/usr/lib/pkgconfig/camel* \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	
+
 binary-install/evolution-data-server::
 	chgrp mail $(CURDIR)/debian/evolution-data-server/usr/lib/evolution/camel-lock-helper*
 	chmod g+s $(CURDIR)/debian/evolution-data-server/usr/lib/evolution/camel-lock-helper*
