## evolution-data-server 3.20.5

=== debian/changelog ===
evolution-data-server (3.20.5-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Add missing libedataserverui-1.2-1.symbols (from Ubuntu)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 20 Aug 2016 10:57:43 +0200

evolution-data-server (3.20.4-2) unstable; urgency=medium

  * Move chmod/chgrp calls for camel-lock-helper to override_dh_fixperms.
  * Run override_dh_fixperms only for arch-any build.
  * Add myself to Uploaders.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Jul 2016 22:50:53 +0200

evolution-data-server (3.20.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Build-Depends on chrpath and stop calling chrpath in debian/rules.
    The shared libraries no longer embed any RPATH so this is not needed
    anymore.
  * Convert from cdbs to dh.
  * Don't make test-suite failures fatal. Dump the contents of the
    test-suite.log files to stdout in case of an error.
  * Use dbus-run-session to run the test-suite.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Jul 2016 16:36:08 +0200

evolution-data-server (3.20.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Jun 2016 13:33:22 +0200

evolution-data-server (3.20.2-2) unstable; urgency=medium


  [ Laurent Bigonville ]
  * Re-enable libphonenumber support
  * Drop -dbg package en rely on the -dbgsym automatically built packages
  * Add 'Multi-arch: foreign' field to evolution-data-server-common package

  [ Michael Biebl ]
  * Drop Build-Depends on libdbus-glib-1-dev and libdbus-glib-1-doc, no longer
    needed.
  * Remove people from Uploaders who haven't made any uploads or changes for
    several years. Thank you all for your past contributions.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 May 2016 16:48:39 +0200

evolution-data-server (3.20.2-1) experimental; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - Bump libical-dev to (>= 2.0)
    - Add libjson-glib-dev (>= 1.0.4), libwebkitgtk-3.0-dev (>= 2.4.9)
      (used for google auth)
  * Bump Standards-Version to 3.9.8
  * Ship systemd user units for dbus-activated services
  * Ship libcamel1.2 vapi, deps and gir in libcamel1.2-dev
  * Update symbols files with many additions:
    - libedataserver-1.2-21.symbols
    - libecal-1.2-19.symbols
  * Rename libcamel-1.2-54 -> libcamel-1.2-57
    - update symbols file.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 11 May 2016 10:42:58 +0200
