=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed -Wl,-O1
# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf,gir,gnome

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_autoreconf:
	dh_autoreconf --as-needed

ifeq ($(DEB_HOST_ARCH_OS),$(filter $(DEB_HOST_ARCH_OS),linux kfreebsd))
CONFFLAGS = --with-phonenumber=/usr
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=\$${prefix}/lib \
		--libexecdir=\$${prefix}/lib/evolution \
		--with-openldap \
		--with-krb5=/usr \
		--with-libdb=/usr \
		--enable-gtk \
		--enable-gtk-doc \
		--enable-goa \
		--enable-google \
		--enable-vala-bindings \
		--disable-uoa \
		$(CONFFLAGS)

# don't configure with --libdir, but move the files manually, because
# /usr/lib/evolution-data-server must not change.
override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv debian/tmp/usr/lib/*.so debian/tmp/usr/lib/*.so.* debian/tmp/usr/lib/girepository-1.0 \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/pkgconfig/lib* debian/tmp/usr/lib/pkgconfig/camel* \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	dh_install --fail-missing -X.la

override_dh_fixperms-arch:
	chgrp mail $(CURDIR)/debian/evolution-data-server/usr/lib/evolution/camel-lock-helper*
	chmod g+s $(CURDIR)/debian/evolution-data-server/usr/lib/evolution/camel-lock-helper*
	dh_fixperms -a -X/usr/lib/evolution/camel-lock-helper*

override_dh_makeshlibs:
	dh_makeshlibs -V -X/usr/lib/evolution-data-server/ -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration='evolution-data-server-dbg (<< 3.20.2-2~)'

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	dbus-run-session -- $(MAKE) -k check || ( find . -name test-suite.log -exec cat {} \;; exit 0; )
endif
